Method: transferConfigs.startManualRuns

Full name: projects.locations.transferConfigs.startManualRuns

Manually initiates transfer runs. You can schedule these runs in two ways:

  1. For a specific point in time using the 'requestedRunTime' parameter.
  2. For a period between 'startTime' (inclusive) and 'endTime' (exclusive).

If scheduling a single run, it is set to execute immediately (scheduleTime equals the current time). When scheduling multiple runs within a time range, the first run starts now, and subsequent runs are delayed by 15 seconds each.

HTTP request


POST https://bigquerydatatransfer.googleapis.com/v1/{parent=projects/*/locations/*/transferConfigs/*}:startManualRuns

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Transfer configuration name. If you are using the regionless method, the location must be US and the name should be in the following form:

  • projects/{projectId}/transferConfigs/{configId}

If you are using the regionalized method, the name should be in the following form:

  • projects/{projectId}/locations/{locationId}/transferConfigs/{configId}

Authorization requires the following IAM permission on the specified resource parent:

  • bigquery.transfers.update

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "requestedTimeRange": {
    object (TimeRange)
  },
  "requestedRunTime": string
  // End of mutually exclusive fields.
}
Fields
The requested time specification - this can be a time range or a specific run_time. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
requestedTimeRange

object (TimeRange)

A time_range start and end timestamp for historical data files or reports that are scheduled to be transferred by the scheduled transfer run. requestedTimeRange must be a past time and cannot include future time values.

requestedRunTime

string (Timestamp format)

A runTime timestamp for historical data files or reports that are scheduled to be transferred by the scheduled transfer run. requestedRunTime must be a past time and cannot include future time values.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of StartManualTransferRunsResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.